# Creating Smart Web Apps with Django [Video]
This is the code repository for [Creating Smart Web Apps with Django [Video]](https://www.packtpub.com/application-development/creating-smart-web-apps-django-video?utm_source=github&utm_medium=repository&utm_campaign=9781788830157), published by [Packt](https://www.packtpub.com/?utm_source=github). It contains all the supporting project files necessary to work through the video course from start to finish.
## About the Video Course

Get under the hood of Django. With this course, you’ll learn to integrate your application with other technologies. You’ll start building practical, advanced web applications that can scale to handle increased workloads. Django brings the power of Python to help you quickly develop web applications. From simple prototypes to large-scale projects, Django encourages a clean and pragmatic design and gives you a comprehensive toolkit to build scalable web apps. This course shows you how to take advantage of available modules for common tasks such as user management and authentication. This means you can get started by simply integrating them in your application without having to write a lot of repetitive code yourself. You’ll use Django’s extensive feature set such as the Django ORM and Django Admin to do the heavy lifting for you, while you start building web applications with only about a hundred lines of code in no time.

If you want to start building feature-rich, highly scaled applications with the power of Python, then take this course!

<H2>What You Will Learn</H2>
<DIV class=book-info-will-learn-text>
<UL>
<LI>Build a blog and practical real-world web applications with Django
<LI>Django installations and environment setup of your project made easy
<LI>See what Django models are and why they are important
<LI>Use the powerful Django ORM to write and manage SQL queries
<LI>Use Django views for your business logic
<LI>Explore how to use Django’s GenericViews to reduce the amount of code you must write dramatically
<LI>Create Django URLs to handle requests using Django’s intuitive regex-based URL builders
<LI>Find out what Django templates and templates tags are and see how to use them to customize what end users see in your app
<LI>Write unit tests using Django’s test framework
<LI>Process block tasks using a separate task queue
<LI>Use Django’s User framework and Auth model to quickly set up features such as registration and login </LI></UL></DIV>

## Instructions and Navigation
### Assumed Knowledge
The course is designed for current or aspiring full-stack engineers or backend engineers who are new to the area of web development and want to use Django to create smart web applications. Basic knowledge of Python, HTML, and JavaScript is recommended.
### Technical Requirements

This course has the following requirements:<br/>
<b>Minimum Hardware Requirements</b><br>
For successful completion of this course, students will require the computer systems with at least the following:<ul><li>OS: Linux / OSX</li><li>Processor: i3</li><li>Memory: 512MB</li><li>Storage: 4GB</li></ul><br><b>Recommended Hardware Requirements</b><br>For an optimal experience with hands-on labs and other practical activities, we recommend the following configuration:<ul><li>OS: Linux / OSX</li><li>Processor: i3</li><li>Memory: 1GB</li><li>Storage: 6GB</li></ul><br>
<b>Software Requirements</b><br><ul><li>Operating system: Linux / OSX </li><li>Browser: Firefox / Chrome / Safari</li><li>Any code editor.</li></ul>



## Related Products
* [Advanced Web Development with Django [Video]](https://www.packtpub.com/web-development/advanced-web-development-django-video?utm_source=github&utm_medium=repository&utm_campaign=9781788628587)

* [Building RESTful Python Web Services with Django [Video]](https://www.packtpub.com/application-development/building-restful-python-web-services-django-video?utm_source=github&utm_medium=repository&utm_campaign=9781788620154)

* [Django by Example [Video]](https://www.packtpub.com/application-development/django-example-video?utm_source=github&utm_medium=repository&utm_campaign=9781787283664)
